POST api/JobSeeker/OpportunityDetail/GetLastActionDetails
Request Information
URI Parameters
None.
Body Parameters
ViewedOpportunityInput| Name | Description | Type | Additional information |
|---|---|---|---|
| OpportunityType | string |
None. |
|
| OpportunityId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"opportunityType": "sample string 1",
"opportunityId": 2
}
application/xml, text/xml
Sample:
<ViewedOpportunityInput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker"> <OpportunityId>2</OpportunityId> <OpportunityType>sample string 1</OpportunityType> </ViewedOpportunityInput>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
LastActionOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSubmittedActivityType | boolean |
None. |
|
| Caption | string |
None. |
|
| Date | string |
None. |
|
| NextActionTypeId | integer |
None. |
|
| NextActionNote | string |
None. |
|
| RetractionCaption | string |
None. |
|
| RemoteUrl | string |
None. |
|
| SeekerActionMessage | string |
None. |
|
| ActivityHistory | ActivityHistoryOutput |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSubmittedActivityType": true,
"caption": "sample string 2",
"date": "sample string 3",
"nextActionTypeId": 4,
"nextActionNote": "sample string 5",
"retractionCaption": "sample string 6",
"remoteUrl": "sample string 7",
"seekerActionMessage": "sample string 8",
"activityHistory": {
"id": 1,
"typeId": 2,
"name": "sample string 3",
"created": "sample string 4",
"jobSeekerDocumentId": 5,
"jobSeekerApplicationId": 1,
"expectDocument": true
}
}
application/xml, text/xml
Sample:
<LastActionOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.JobSeeker">
<ActivityHistory>
<Created>sample string 4</Created>
<ExpectDocument>true</ExpectDocument>
<Id>1</Id>
<JobSeekerApplicationId>1</JobSeekerApplicationId>
<JobSeekerDocumentId>5</JobSeekerDocumentId>
<Name>sample string 3</Name>
<TypeId>2</TypeId>
</ActivityHistory>
<Caption>sample string 2</Caption>
<Date>sample string 3</Date>
<IsSubmittedActivityType>true</IsSubmittedActivityType>
<NextActionNote>sample string 5</NextActionNote>
<NextActionTypeId>4</NextActionTypeId>
<RemoteUrl>sample string 7</RemoteUrl>
<RetractionCaption>sample string 6</RetractionCaption>
<SeekerActionMessage>sample string 8</SeekerActionMessage>
</LastActionOutput>